Reaction Commerce Forums

Meteor won't run. Need a hand


#1

I’ve tried reinstalling meteor and running it in a separate directory but keep getting the same error:

C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\dev_bundle\lib\node_modules\meteor-promise\promise_server.js:218
throw error;
^

TypeError: Cannot read property ‘length’ of undefined
at new PV (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:101:23)
at Function.PV.parse (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:111:10)
at Function.PV.getValidServerVersion (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:291:13)
at parseSimpleConstraint (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:278:8)
at C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:311:14
at Array.map ()
at new PV.VersionConstraint (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:306:26)
at Function.PV.parseVersionConstraint (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:320:10)
at new PV.PackageConstraint (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:364:28)
at Function.PV.parsePackageConstraint (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\packages\package-version-parser\package-version-parser.js:390:10)
at Object.exports.parsePackageConstraint (C:\tools\utils\utils.js:242:33)
at C:\tools\project-context.js:953:37
at Array.forEach ()
at Function..each..forEach (C:\Users\james.DESKTOP-CIPBRAN\AppData\Local.meteor\packages\meteor-tool\1.6.0_1\mt-os.windows.x86_64\dev_bundle\lib\node_modules\underscore\underscore.js:79:11)
at exports.ProjectConstraintsFile._readFile (C:\tools\project-context.js:930:7)
at new exports.ProjectConstraintsFile (C:\tools\project-context.js:896:8)
at C:\tools\project-context.js:326:37
at C:\tools\utils\buildmessage.js:359:18
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:352:34
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:350:23
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at Object.enterJob (C:\tools\utils\buildmessage.js:324:26)
at ProjectContext._readProjectMetadata (C:\tools\project-context.js:311:18)
at C:\tools\project-context.js:285:9
at C:\tools\utils\buildmessage.js:359:18
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:352:34
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:350:23
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at Object.enterJob (C:\tools\utils\buildmessage.js:324:26)
at ProjectContext._completeStagesThrough (C:\tools\project-context.js:275:18)
at ProjectContext.readProjectMetadata (C:\tools\project-context.js:236:10)
at C:\tools\cli\commands.js:344:20
at C:\tools\utils\buildmessage.js:271:13
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:264:29
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:262:18
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at C:\tools\utils\buildmessage.js:253:23
at exports.EnvironmentVariable.withValue (C:\tools\utils\fiber-helpers.js:89:14)
at Object.capture (C:\tools\utils\buildmessage.js:252:19)
at Object.main.captureAndExit (C:\tools\cli\main.js:274:29)
at Command.doRunCommand [as func] (C:\tools\cli\commands.js:341:8)
at C:\tools\cli\main.js:1522:15

little help?


#2

Have you tried asking in Gitter?


#3

Nobody replies on the Gitter channel… any other ideas? Is there any real support available to even get this installed? I’ve tried for two days now… can’t even install on Windows 7-64 bit using Docker-Toolbox (as advised in docs) - Desperate for help from anyone. Gitter is just a thread of people asking for help with no answers from anyone…!